## empathy-time

empathy-time

## Synopsis

    #define             EMPATHY_TIME_FORMAT_DISPLAY_SHORT
    #define             EMPATHY_TIME_FORMAT_DISPLAY_LONG
    typedef             EmpathyTime;
    EmpathyTime         empathy_time_get_current            (void);
    time_t              empathy_time_get_local_time         (struct tm *tm);
    EmpathyTime         empathy_time_parse                  (const gchar *str);
    EmpathyTime         empathy_time_parse_format           (const gchar *str,
                                                             const gchar *format);
    gchar*              empathy_time_to_string_utc          (EmpathyTime t,
                                                             const gchar *format);
    gchar*              empathy_time_to_string_local        (EmpathyTime t,
                                                             const gchar *format);

## Description

## Details

### EMPATHY_TIME_FORMAT_DISPLAY_SHORT

    #define EMPATHY_TIME_FORMAT_DISPLAY_SHORT "%H:%M"

### EMPATHY_TIME_FORMAT_DISPLAY_LONG

    #define EMPATHY_TIME_FORMAT_DISPLAY_LONG  "%a %d %b %Y"

### EmpathyTime

    typedef long EmpathyTime;

### empathy_time_get_current ()

    EmpathyTime         empathy_time_get_current            (void);

Returns : |

### empathy_time_get_local_time ()

    time_t              empathy_time_get_local_time         (struct tm *tm);

`tm` : |
Returns : |

### empathy_time_parse ()

    EmpathyTime         empathy_time_parse                  (const gchar *str);

`str` : |
Returns : |

### empathy_time_parse_format ()

    EmpathyTime         empathy_time_parse_format           (const gchar *str,
                                                             const gchar *format);

`str` : |
`format` : |
Returns : |

### empathy_time_to_string_utc ()

    gchar*              empathy_time_to_string_utc          (EmpathyTime t,
                                                             const gchar *format);

`t` : |
`format` : |
Returns : |

### empathy_time_to_string_local ()

    gchar*              empathy_time_to_string_local        (EmpathyTime t,
                                                             const gchar *format);

`t` : |
`format` : |
Returns : |